Summary:       Raptor RDF Parser Toolkit for Redland
Name:          raptor
Version:       1.4.21
Release:       1
License:       LGPLv2+ or ASL 2.0
Group:         System Environment/Libraries
Source:        http://download.librdf.org/source/raptor-%{version}.tar.gz
URL:           http://librdf.org/raptor/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libxml2-devel >= 2.6.31, libxslt-devel >= 1.1.22
BuildRequires: curl-devel >= 7.19.6-2
BuildRequires: make
Requires:      libxml2 >= 2.6.31, libxslt >= 1.1.22, curl >= 7.19.6-2

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.


%package devel
Summary: Libraries, includes etc to develop with Raptor RDF parser library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkg-config

%description devel
Libraries, includes etc to develop with Raptor RDF parser library.
It provides a set of standalone RDF parsers, generating triples from
RDF/XML or N-Triples.


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

cp src/.libs/lib%{name}.so.1 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static
gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/lib%{name}.a ./lib%{name}.so.1


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE-2.0.txt LICENSE.html LICENSE.txt NEWS README
%{_bindir}/rapper
%{_libdir}/*.a
%{_mandir}/man1/rapper.1*
/usr/bin/rapper
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%doc INSTALL.html
%doc %{_datadir}/gtk-doc/html/raptor/
%{_bindir}/raptor-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/raptor-config.1*
%{_mandir}/man3/libraptor.3*
/usr/bin/raptor-config
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Feb 01 2010 Michael Perzl <michael@perzl.org> - 1.4.21-1
- updated to version 1.4.21

* Thu Jan 07 2010 Michael Perzl <michael@perzl.org> - 1.4.20-1
- updated to version 1.4.20

* Mon Sep 21 2009 Michael Perzl <michael@perzl.org> - 1.4.19-1
- first version for AIX V5.1 and higher
